- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_snapshot_restore – NetApp Element Software Restore Snapshot

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Element OS Cluster restore snapshot to volume.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
account_id - / required |  | Account ID or Name of Parent/Source Volume.
dest_volume_name - / required |  | New Name of destination for restoring the snapshot
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
password - / required |  | Password for the specified user. aliases: pass
src_snapshot_id - / required |  | ID or Name of an existing snapshot.
src_volume_id - / required |  | ID or Name of source active volume.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Restore snapshot to volume
      tags:
      - elementsw_create_snapshot_restore
      na_elementsw_snapshot_restore:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        account_id: ansible-1
        src_snapshot_id: snapshot_20171021
        src_volume_id: volume-playarea
        dest_volume_name: dest-volume-area

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.